# -*- coding: utf-8 -*-
from articles.constants import ArticleType
from articles.models import Article


def footer_pages(request):
    about_us_article = Article.objects.filter(system_id=ArticleType.ABOUT_US).last()
    regulations_article = Article.objects.filter(system_id=ArticleType.REGULATIONS).last()
    contact_article = Article.objects.filter(system_id=ArticleType.CONTACT).last()
    context = {
        'about_us_article': about_us_article,
        'regulations_article': regulations_article,
        'contact_article': contact_article,
    }
    return context
